#
# spec file for package mawk (Version 1.3.3)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         mawk
Version:      1.3.3
Release:      109
Group: Applications/Text
BuildRoot: /tmp/mawk-build-root
License: GPL
Summary:      compact, fast and posix compliant implementation of awk
Source: ftp://ftp.whidbey.net/pub/brennan/mawk1.3.3.tar.gz

%description
You can install this as a replacement for GNU awk as nawk on your
system:
cd /usr/bin
ln -s mawk nawk

Authors:
--------
    Mike Brennan <brennan@whidbey.com>

SuSE series: ap

%prep
%setup

%build
#autoconf
# currently the mawk Makefile.in ignores --prefix and --exec-prefix
# below.  Instead, BINDIR and MANDIR must be set.  These settings are
# force-overridden by config.user.  since they are the only settings
# coming from that file, the file is simply removed.
rm config.user
CFLAGS="$RPM_OPT_FLAGS" \
BINDIR=$RPM_BUILD_ROOT/usr/bin \
MANDIR=$RPM_BUILD_ROOT/usr/share/man/man1 \
./configure \
    --exec-prefix=$RPM_BUILD_ROOT/usr \
    --prefix=$RPM_BUILD_ROOT/usr/share
    
make

%install
mkdir -p $RPM_BUILD_ROOT/usr/{bin,share/man/man1}
make install

%post
# if nawk is a symlink, or it does not exist, symlink nawk to mawk.
cd usr/bin
if test -h nawk -o \! -f nawk
then
    ln -sf mawk nawk
fi

%postun
# remove the nawk symlink if it is dangling, and symlink nawk to gawk,
# if that is installed.
cd usr/bin
if test -h nawk && test \! -e nawk
then
    rm nawk
    if test -f gawk
    then
	ln -sf gawk nawk
    fi
fi

%files
%docdir /usr/share/man
/usr

%changelog -n mawk
* Tue Apr 17 2001 - froh@suse.de
- fixed %%pre/%%post scripts to use relative paths
* Wed Apr 11 2001 - froh@suse.de
- added post-scripts
* Tue Feb 06 2001 - fober@suse.de
- created package
